Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string<uuid>
required
version
integer
required

Response

Retrieve an agent instruction revision

A saved revision of an agent’s instruction JSON document.

version
integer
required
authorId
string | null
required
authorName
string | null
required
source
string
required
restoredFromVersion
integer | null
required
createdAt
string<date-time>
required
instructions
object
required

The instruction JSON document saved in this revision. Other agent configuration is not versioned.

Example: